package com.gingersoft.supply_chain.mvp.ui.widget;

import android.content.Context;
import android.text.InputFilter;

import androidx.annotation.NonNull;

import com.gingersoft.supply_chain.R;
import com.lxj.xpopup.impl.InputConfirmPopupView;

/**
 * @author 宇航.
 * User: admin
 * Date: 2021/2/4
 * Time: 10:20
 * Use:
 */
public class EditTextPopup extends InputConfirmPopupView {
    private InputFilter[] inputFilters;
    /**
     * @param context
     */
    public EditTextPopup(@NonNull Context context, InputFilter[] inputFilters) {
        super(context, R.layout.dialog_edit);
        this.inputFilters = inputFilters;
    }

    @Override
    protected void onCreate() {
        super.onCreate();
        getEditText().setFilters(inputFilters);
    }
}
